Bug 24490 - Clarify wording and function of Purchase Items link on POS
Summary: Clarify wording and function of Purchase Items link on POS
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: David Roberts
QA Contact: Testopia
URL:
Keywords:
Depends on: 23354
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-23 13:00 UTC by Andrew Fuerste-Henry
Modified: 2020-06-04 20:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24490: Clarify wording and function of Purchase Items link on POS (1.57 KB, patch)
2020-01-24 11:55 UTC, David Roberts
Details | Diff | Splinter Review
Bug 24490: Clarify wording and function of Purchase Items link on POS (1.64 KB, patch)
2020-01-24 12:46 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24490: Clarify wording and function of Purchase Items link on POS (1.60 KB, patch)
2020-01-24 23:25 UTC, David Roberts
Details | Diff | Splinter Review
Bug 24339: Do not assume there are exactly 3 SIP* AVs (3.21 KB, patch)
2020-01-27 14:10 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24490: Clarify wording and function of Purchase Items link on POS (1.57 KB, patch)
2020-01-27 15:43 UTC, David Roberts
Details | Diff | Splinter Review
Bug 24490: Clarify wording and function of Purchase Items link on POS (1.64 KB, patch)
2020-01-27 16:49 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24490: Clarify wording and function of Purchase Items link on POS (1.70 KB, patch)
2020-02-04 06:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-01-23 13:00:58 UTC
On cgi-bin/koha/pos/pay.pl, we're given a link with text "Purchase items" that goes to /cgi-bin/koha/admin/debit_types.pl. "Purchase items" sounds like one would click the link to purchase things, when really one clicks the link to define items that can be purchased.

"Purchasable items" or "Items for purchase" would be more clear. Alternately, the debit types interface uses the wording "Can be sold" so we could try to match that, but "Items that can be sold" is awkward.
Comment 1 David Roberts 2020-01-24 11:55:10 UTC
Created attachment 97872 [details] [review]
Bug 24490: Clarify wording and function of Purchase Items link on POS

This patch changes the wording of the links on the POS side menu

To test:

1) Apply the patch
2) Check that the links on the left hand side of the screen read
"Configure Cash Registers" and "Configure Items for Purchase"
3) Click both links to ensure you are taken to the relevant config
pages.
Comment 2 David Roberts 2020-01-24 11:56:43 UTC
I decided to change the wording on both of the links on the POS page to "Configure Cash Registers" and "Configure Items for Sale". This makes it immediately clear what are the purpose of the two links.

To test:

1) Apply the patch
2) Check that the links on the left hand side of the screen read
"Configure Cash Registers" and "Configure Items for Purchase"
3) Click both links to ensure you are taken to the relevant config
pages.
Comment 3 ByWater Sandboxes 2020-01-24 12:46:18 UTC
Created attachment 97879 [details] [review]
Bug 24490: Clarify wording and function of Purchase Items link on POS

This patch changes the wording of the links on the POS side menu

To test:

1) Apply the patch
2) Check that the links on the left hand side of the screen read
"Configure Cash Registers" and "Configure Items for Purchase"
3) Click both links to ensure you are taken to the relevant config
pages.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 4 Andrew Fuerste-Henry 2020-01-24 12:46:49 UTC
Looks good, thanks!
Comment 5 Katrin Fischer 2020-01-24 22:36:55 UTC
I am sorry David, but the new text doesn't have the right capitalization. Only the first word of each link should be capitalized (see coding guidelines). 

Do you want to have a go at fixing this? Let me know if I can help.
Comment 6 Katrin Fischer 2020-01-24 22:37:37 UTC
Btw - I like the new wording much better :)
Comment 7 David Roberts 2020-01-24 23:25:49 UTC
Created attachment 97930 [details] [review]
Bug 24490: Clarify wording and function of Purchase Items link on POS

This patch changes the wording of the links on the POS side menu

To test:

1) Apply the patch
2) Check that the links on the left hand side of the screen read
"Configure Cash Registers" and "Configure Items for Purchase"
3) Click both links to ensure you are taken to the relevant config
pages.
Comment 8 David Roberts 2020-01-24 23:27:05 UTC
Hi Katrin

OK, try that instead. Do I need to mark it back to Needs Signoff? I've done that anyway, just in case.
Comment 9 ByWater Sandboxes 2020-01-27 14:10:27 UTC
Created attachment 97979 [details] [review]
Bug 24339: Do not assume there are exactly 3 SIP* AVs

Update DB entry 19.06.00.017:
We created SIP* AV from accountlines if '^Pay[[:digit:]]{2}$', so I
think we should assume that more than SIP00, SIP01, SIP02 can exist.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 10 Andrew Fuerste-Henry 2020-01-27 14:27:57 UTC
Comment on attachment 97979 [details] [review]
Bug 24339: Do not assume there are exactly 3 SIP* AVs

Sorry, didn't drink enough coffee before trying this.
Comment 11 Andrew Fuerste-Henry 2020-01-27 14:28:22 UTC
Patch didn't apply.
Comment 12 David Roberts 2020-01-27 15:01:21 UTC
I'm confused - are these last three comments relevant to this bug, or have they been attached to the wrong bug?
Comment 13 Andrew Fuerste-Henry 2020-01-27 15:21:28 UTC
Sorry, that's my fault! The new patch for this bug didn't apply, but I was very slow to realize it. I went to the POS screen, saw that the links were showing the correct capitalization, but didn't realize that was because they were reverting to the original wording. So then I tried to sign off. Because the actual patch hadn't applied, the sandbox just grabbed the most recent patch on there (which was from another bug) and signed it off here.
Comment 14 David Roberts 2020-01-27 15:24:44 UTC
OK thanks - no idea why the patch wouldn't apply. I'll rebase and try again.
Comment 15 David Roberts 2020-01-27 15:43:36 UTC
Created attachment 97985 [details] [review]
Bug 24490: Clarify wording and function of Purchase Items link on POS

This patch changes the wording of the links on the POS side menu

To test:

1) Apply the patch
2) Check that the links on the left hand side of the screen read "Configure cash registers" and "Configure items for purchase"
3) Click both links to ensure you are taken to the relevant config pages.
Comment 16 David Roberts 2020-01-27 15:44:16 UTC
Hopefully that is now OK - no idea what went wrong with the last one - the branch I worked on was in a total pickle.
Comment 17 ByWater Sandboxes 2020-01-27 16:49:38 UTC
Created attachment 97992 [details] [review]
Bug 24490: Clarify wording and function of Purchase Items link on POS

This patch changes the wording of the links on the POS side menu

To test:

1) Apply the patch
2) Check that the links on the left hand side of the screen read "Configure cash registers" and "Configure items for purchase"
3) Click both links to ensure you are taken to the relevant config pages.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 18 Andrew Fuerste-Henry 2020-01-27 16:50:09 UTC
Ok, actually signing off this time. Thanks!
Comment 19 Katrin Fischer 2020-02-04 06:59:42 UTC
Created attachment 98358 [details] [review]
Bug 24490: Clarify wording and function of Purchase Items link on POS

This patch changes the wording of the links on the POS side menu

To test:

1) Apply the patch
2) Check that the links on the left hand side of the screen read "Configure cash registers" and "Configure items for purchase"
3) Click both links to ensure you are taken to the relevant config pages.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 20 Martin Renvoize 2020-02-04 10:22:20 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 21 Joy Nelson 2020-02-11 00:02:01 UTC
Does not apply to 19.11.x branch
not backported